<div *ngIf="hero">
	<h2>{{ hero.name| uppercase }} Details</h2>
	<div><span>id:</span>{{ hero.id }}</div>
	<div><span>name:</span>{{ hero.name }}</div>
	<div> 
		  <label>Name:
		  		<input [(ngModel)]="hero.name" placeholder="name">
		 </label>
	</div>
	<h2>My Heroes</h2>
</div>
<button (click)="goBack()">go back</button>
<button (click)="save()">save</button>
